# v.0.2

{% hint style="danger" %}
This version has been deprecated. If used with the current API version it can produce unexpected behaviour or errors.
{% endhint %}

{% hint style="danger" %}
The package shimoku-api-python is no longer maintained
{% endhint %}

{% hint style="info" %}
To get the new version :rocket:
{% endhint %}

```
pip install --upgrade shimoku-api-python
```

### **Fixes**

* Indicators `s.plt.indicator()` are now responsive to Mobile & Tablet.

![](/files/HMCEaFqdOSxRcKqYQtHP)

* Indicators `s.plt.indicator()` can have other Reports in the same row.
* The variable `menu_path` used for all the `s.plt` objects now replaces `_` for `-` for html standards

### **Improvements** <a href="#improvements" id="improvements"></a>

* The API has an official URL: `https://api.shimoku.io/external/v1/`
* The dataset for a Table Report `s.plt.table()` accepts empty values.
* For Indicators Report `s.plt.indicator()` now you can specify how many indicators you want by row with the parameter `multi_column`

![](/files/Mzb3R2HmUN79FRvftson)

```
s.plt.indicator(
  data=data_,
  menu_path='test/indicator-test',
  row=1, column=1,
  value='value',
  header='title',
  footer='description',
  multi_column=2,  # It will put 2 indicators by row
)
```

* When a Report is created with `s.plt` it updates (replaces) what existed in the same grid position before. For instance in the following example you will end up having a Line chart in the position 1, 1 of the ‘test’ menu path (there would not be sign of a Bar chart in the FE).

```
s.plt.bar(
  data=data,
  x='date', y=['x', 'y'],
  title='Test Bar test',
  menu_path='test',
  row=1, column=1,
)

s.plt.line(
  data=data,
  x='date', y=['x', 'y'],
  title='Test Line test',
  menu_path='test',
  row=1, column=1,
)
```

After execute the Bar creation:

![](/files/Eo022dWQBiWzxQB7iVeX)

After execute it all (the Bar chart has been removed):

![](/files/NTY3pWyjyDcv7xWkAbQp)

Thus `s.plt.update()` is no longer necessary and is marked to be deprecated.

* The Barchart Report `s.plt.bar()` is not creating the X-Zoom by default (which is not an expected behavior for bar-charts in general)
* The Order of the Paths is by creation order.

In the following example first reports for the path ‘Overview’ where created, then ' Business detail' and so on…

```
s.plt.table(menu_path='shimoku-backoffice/overview', ...)
s.plt.bar(menu_path='shimoku-backoffice/business-detail', ...)
```

![](/files/bGhwhGCIFshDiuub2YEX)

### **New** <a href="#new" id="new"></a>

* A method to check if the API is available: `s.ping()` returns `True` if the API is alive.
* The object `suite` has been created `s.suite` that creates whole Apps **in a single command line.** Currently you have the following:
  * Shimoku Backoffice `s.suite.shimoku_backoffice()` creates a Back Office of your universe.

![](/files/K62KnFMUamTRUDcvNYEY)

* Charts catalog `s.suite.charts_catalog()` creates an App with all the available Reports in Shimoku.

![](/files/dfPSVdqUpyFiT7uP3ZHw)

&#x20;

### **Coming** <a href="#coming" id="coming"></a>

Through the following weeks we will advance in:

{% hint style="info" %}

* The multi-environment (prod & staging).
* Order all paths in an App a posteriori with `s.plt.set_path_orders()`
* Multi filter feature that will allow to apply multiple Filters to all the reports (right now it is only available for Table).
* Input Reports that accept input data.
* The following Reports:
  * Cohorts
  * Themeriver
  * Candlestick
  * Scatter with confidence area
  * Line with confidence area
  * Bubble chart
* New single line suites :man\_mage:
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/releases/2022/v.0.2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
